Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Interface BeanContextServicesListener

All Superinterfaces:
  BeanContextServiceRevokedListener, EventListener

All Known Subinterfaces:
  BeanContextServices

All Known Implementing Classes:
  BeanContextChildSupport, BeanContextServicesSupport

public interface BeanContextServicesListener
extends BeanContextServiceRevokedListener

The listener interface for receiving `BeanContextServiceAvailableEvent` objects. A class that is interested in processing a `BeanContextServiceAvailableEvent` implements this interface.

Method Summary
`void` | `serviceAvailable(BeanContextServiceAvailableEvent bcsae)` The service named has been registered.

Methods inherited from interface java.beans.beancontext.BeanContextServiceRevokedListener
`serviceRevoked`

Method Detail

### serviceAvailable

    public void serviceAvailable(BeanContextServiceAvailableEvent bcsae)

  The service named has been registered. getService requests for this service may now be made.

  Parameters:
    `bcsae` - the `BeanContextServiceAvailableEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.